atomicVector-class {Matrix} | R Documentation

## Virtual Class "atomicVector" of Atomic Vectors

### Description

The `class` `"atomicVector"` is a virtual class containing all atomic vector classes of base R, as also implicitly defined via `is.atomic`.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Methods

In the Matrix package, the "atomicVector" is used in signatures where typically “old-style” "matrix" objects can be used and can be substituted by simple vectors.

### Extends

The atomic classes `"logical"`, `"integer"`, `"double"`, `"numeric"`, `"complex"`, `"raw"` and `"character"` are extended directly. Note that `"numeric"` already contains `"integer"` and `"double"`, but we want all of them to be direct subclasses of `"atomicVector"`.

### Author(s)

Martin Maechler

### See Also

`is.atomic`, `integer`, `numeric`, `complex`, etc.

### Examples

    showClass("atomicVector")

[Package Matrix version 1.0-6 Index]